Skip to main content
GET
/
resources
/
benchmarks
Get metrics benchmarks
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/resources/benchmarks \
  --header 'Authorization: Bearer <token>'
[
  {
    "metric_type": "free_cashflow_margin",
    "lower_bound": 123,
    "upper_bound": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Query Parameters

metric_type
enum<string> | null
Available options:
free_cashflow_margin,
current_ratio,
quick_ratio,
debt_ratio,
debt_to_equity_ratio,
gross_margin,
return_on_assets,
return_on_equity,
asset_turnover,
inventory_turnover,
operating_cashflow_ratio,
dscr,
interest_coverage,
cash_conversion_cycle

Response

Successful Response

metric_type
enum<string>
required

Type of the financial or operational metric being benchmarked

Available options:
free_cashflow_margin,
current_ratio,
quick_ratio,
debt_ratio,
debt_to_equity_ratio,
gross_margin,
return_on_assets,
return_on_equity,
asset_turnover,
inventory_turnover,
operating_cashflow_ratio,
dscr,
interest_coverage,
cash_conversion_cycle
lower_bound
number
required

Lower bound of the metric range, representing the minimum observed or expected value

Examples:

0.5

0

1

upper_bound
number
required

Upper bound of the metric range, representing the maximum observed or expected value

Examples:

1

0.1

2